.486
.model flat, stdcall
option casemap: none

; API functions
; ------------------------------------------------------------------------------
include  \masm32\include\windows.inc
include  \masm32\include\user32.inc
include  \masm32\include\kernel32.inc
include  \masm32\include\gdi32.inc
include  \masm32\include\comctl32.inc

includelib  \masm32\lib\user32.lib
includelib  \masm32\lib\kernel32.lib
includelib  \masm32\lib\comctl32.lib
includelib  \masm32\lib\gdi32.lib

include shadow.asm
; ************************************

; Prototype 
; ************************************
DialogProc PROTO : HWND, : UINT, : WPARAM, : LPARAM

.const

; Resource ids
; ************************************
IDD_DLG1  	  equ 101
IDI_ICON      equ 200
IDI_SHADOWBMP equ 300
; Required data

.data
szTitle   db 'Window With Shadow', 0


.data?

hInstance HINSTANCE ?
hIcon     HICON     ?

.code

start:
INVOKE GetModuleHandle, NULL
mov hInstance, eax

INVOKE LoadIcon, eax, IDI_ICON 
mov hIcon, eax
invoke	InitShadow, hInstance, IDI_SHADOWBMP ; istead of IDI_SHADOWBMP you can just have the sresourse shadow #
INVOKE InitCommonControls 
; ************************************
;   Call the dialog box stored in resource file
; ************************************
INVOKE DialogBoxParam, hInstance, IDD_DLG1 , NULL, ADDR DialogProc, 0
invoke	DestroyShadow
INVOKE ExitProcess, 0


; Dialog procedure
; ************************************
DialogProc proc hWnd: HWND, uMsg: UINT, wParam: WPARAM, lParam: LPARAM
 invoke	ProcessShadowProc, hWnd, uMsg
 
.IF uMsg == WM_INITDIALOG

INVOKE SetWindowText, hWnd, addr szTitle 
INVOKE SendMessage, hWnd, WM_SETICON,ICON_SMALL, hIcon

.ELSEIF uMsg == WM_COMMAND
.ELSEIF uMsg == WM_CLOSE
INVOKE EndDialog, hWnd, 0
.ENDIF

xor eax,eax
ret
DialogProc endp
; ************************************
end start